org.jboss.jca.common.metadata.ds

## Class TimeOutImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.TimeOutImpl
  - - org.jboss.jca.common.metadata.ds.TimeOutImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.TimeOut, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class TimeOutImpl
      extends TimeOutImpl
      implements org.jboss.jca.common.api.metadata.ds.TimeOut

  A TimeOutImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.TimeOut

      `org.jboss.jca.common.api.metadata.ds.TimeOut.Tag`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.common.metadata.common.TimeOutImpl

      `allocationRetry, allocationRetryWaitMillis, blockingTimeoutMillis, idleTimeoutMinutes, xaResourceTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeOutImpl(java.lang.Long blockingTimeoutMillis, java.lang.Long idleTimeoutMinutes, java.lang.Integer allocationRetry, java.lang.Long allocationRetryWaitMillis, java.lang.Integer xaResourceTimeout, java.lang.Boolean setTxQueryTimeout, java.lang.Long queryTimeout, java.lang.Long useTryLock)` Create a new TimeOutImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Long` | `getQueryTimeout()` Get the queryTimeout.
    `java.lang.Long` | `getUseTryLock()` Get the useTryLock.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isSetTxQueryTimeout()` Get the setTxQuertTimeout.
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.TimeOutImpl

      `getAllocationRetry, getAllocationRetryWaitMillis, getBlockingTimeoutMillis, getIdleTimeoutMinutes, getXaResourceTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.TimeOut

      `getAllocationRetry, getAllocationRetryWaitMillis, getBlockingTimeoutMillis, getIdleTimeoutMinutes, getXaResourceTimeout`

- - ### Constructor Detail

    - #### TimeOutImpl

          public TimeOutImpl(java.lang.Long blockingTimeoutMillis,
                             java.lang.Long idleTimeoutMinutes,
                             java.lang.Integer allocationRetry,
                             java.lang.Long allocationRetryWaitMillis,
                             java.lang.Integer xaResourceTimeout,
                             java.lang.Boolean setTxQueryTimeout,
                             java.lang.Long queryTimeout,
                             java.lang.Long useTryLock)
                      throws org.jboss.jca.common.api.validator.ValidateException

      Create a new TimeOutImpl.
      Parameters:
        `blockingTimeoutMillis` - blockingTimeoutMillis
        `idleTimeoutMinutes` - idleTimeoutMinutes
        `allocationRetry` - allocationRetry
        `allocationRetryWaitMillis` - allocationRetryWaitMillis
        `xaResourceTimeout` - xaResourceTimeout
        `setTxQueryTimeout` - setTxQueryTimeout
        `queryTimeout` - queryTimeout
        `useTryLock` - useTryLock
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### isSetTxQueryTimeout

          public final java.lang.Boolean isSetTxQueryTimeout()

      Get the setTxQuertTimeout.
      Returns:
        the setTxQuertTimeout.

    - #### getQueryTimeout

          public final java.lang.Long getQueryTimeout()

      Get the queryTimeout.
      Returns:
        the queryTimeout.

    - #### getUseTryLock

          public final java.lang.Long getUseTryLock()

      Get the useTryLock.
      Returns:
        the useTryLock.

    - #### hashCode

          public int hashCode()

      Description copied from class: `TimeOutImpl`
      Overrides:
        `hashCode` in class `TimeOutImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from class: `TimeOutImpl`
      Overrides:
        `equals` in class `TimeOutImpl`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `TimeOutImpl`
      Overrides:
        `toString` in class `TimeOutImpl`

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Description copied from interface: `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)